Friday, 29 June 2007

fglrx issues

I know, I shouldn't be using it in the first place, but I had no alternative until recently.

I think I have a really precise image of the development process of the fglrx drivers since I nave been successfuly using sleep with 8.33.6. That went down the drane with 8.36.5. After a month of pain (I don't understand why it took me sooooo long) I decided to go back to the version that worked (which was a package I prepared myself).

Matthew Garrett told me at DebConf that the avivo driver should work for my video card, but it needs pciaccess which is not available in Etch and at that time was not available even in experimental.

At some point I'll probably use avivo, but until then I still want my laptop to be able to sleep... I hope AMD opens those drivers soon.

Thursday, 28 June 2007

My small contribution to pbuilder...

... is a patch that allows a decent default mirror selection via some heuristic and a debconf question.
This is bug number 333294.

The patch is part of the git repo at Since it uses debconf it has po-debconf support and a Romanian translation. The language should be in line with the one used in other templates, but I don't mind if anyone from Project Smith suggests some changes.

Sunday, 24 June 2007

Back home...

I am writing these words at my desk, at home, where currently there are 33˚C and is a hot summer.

The good thing is that the bad feeling I had before the trip did not materialize into anything but a flight through a turbulent zone in the way from Bucharest to Edinburgh. Now I am tired and I need some sleep.

I know it sounds dry, but really, thanks to all the orga team and everyone who made this happen. This was my first DebConf and it was an unique experince.

Thanks also to Patty Langasek for organzing the day trip. It was worth visiting the island.

I hope to see you next year.

Saturday, 16 June 2007

I'm in EDI

Since about 4 hours ago... :-)

I have a bad feeling...

Since a couple of weeks ago I have been having a bad feeling about my trip to Edinburg. I don't know what it is, but I hope is just my paranoia and nothing bad will happen.

Thursday, 14 June 2007

libgnome-dev + libsvn-dev = problems

On Debian Etch systems it is impossible to install out of the box both libglade-gnome0-dev and libsvn-dev due to a conflict between depended upon libraries.

In order to install them side by side you will have to modify an existing libdb4.4-dev deb package to add "libdb3-dev" to the Provides: field of the package. You can do this by editing DEBIAN/control after running:

deb-reversion -k /bin/sh libdb4.4-dev_*.deb

When done, exit and install the newly created libdb4.4-dev package:

dpkg -i libdb4.4-dev*LOCAL*.deb

I managed to find this solution thanks to mrvn and other people on IRC. Thanks.

Argh, I just hate...

...doing needless, mindless extra work just because of some PR stunts carried out by sales people!

Wednesday, 13 June 2007

Whacky ideas, my addition...


It would be really useful if a -dev package's priority would inflate proportionally with every binary package originating from the same source as the dev package.

This way I would never see this[1]:

# LANG=C apt-get install libxmu-dev libagg-dev libgstreamer0.10-dev libgtkglext1-dev libmad0-dev libxul-dev libdirectfb-dev libkonq4-dev libcurl3-gnutls-dev libcaca-dev libboost-date-time-dev libavcodec-dev libavformat-dev libming-dev
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
kdelibs4-dev liba52-0.7.4-dev libacl1-dev libarts1-dev libartsc0-dev libasound2-dev libaspell-dev libattr1-dev
libaudio-dev libavahi-qt3-dev libcucul-dev libcupsys2-dev libdc1394-13-dev libdts-dev libfam-dev libfam0
libgl1-mesa-dev libglu1-mesa-dev libgsm1-dev libgtkglext1 libidn11-dev libjack0.100.0-dev libjasper-1.701-dev
liblcms1-dev liblua50-dev liblualib50-dev libmng-dev libmozjs-dev libmpeg3-dev libnspr4-dev libnss3-dev libogg-dev
libopenexr-dev libqt3-headers libqt3-mt-dev libraw1394-dev libsasl2-dev libslang2-dev libtheora-dev libtiff4-dev
libvorbis-dev libxslt1-dev libxt-dev mesa-common-dev qt3-dev-tools xlibmesa-gl-dev
Suggested packages:
libasound2-doc aspell-doc libqt3-i18n qt3-doc libraw1394-doc
Recommended packages:
fam gstreamer0.10-doc libqt3-compat-headers
The following packages will be REMOVED:
gamin libgamin0
The following NEW packages will be installed:
kdelibs4-dev liba52-0.7.4-dev libacl1-dev libagg-dev libarts1-dev libartsc0-dev libasound2-dev libaspell-dev
libattr1-dev libaudio-dev libavahi-qt3-dev libavcodec-dev libavformat-dev libboost-date-time-dev libcaca-dev
libcucul-dev libcupsys2-dev libcurl3-gnutls-dev libdc1394-13-dev libdirectfb-dev libdts-dev libfam-dev libfam0
libgl1-mesa-dev libglu1-mesa-dev libgsm1-dev libgstreamer0.10-dev libgtkglext1 libgtkglext1-dev libidn11-dev
libjack0.100.0-dev libjasper-1.701-dev libkonq4-dev liblcms1-dev liblua50-dev liblualib50-dev libmad0-dev libming-dev
libmng-dev libmozjs-dev libmpeg3-dev libnspr4-dev libnss3-dev libogg-dev libopenexr-dev libqt3-headers libqt3-mt-dev
libraw1394-dev libsasl2-dev libslang2-dev libtheora-dev libtiff4-dev libvorbis-dev libxmu-dev libxslt1-dev libxt-dev
libxul-dev mesa-common-dev qt3-dev-tools xlibmesa-gl-dev
0 upgraded, 60 newly installed, 2 to remove and 0 not upgraded.
Need to get 21.6MB/22.2MB of archives.
After unpacking 108MB of additional disk space will be used.
Do you want to continue [Y/n]?

[1] these are gnash's build deps, in case you're wondering


After the feedback related to my latest post about NaughtySVN I thought it would be nice to commit my pending changes about update, although they are not enough to make a functional update feature.

I also thought is time to clarify a few things about the project:
  • NaughtySVN is a project that tries to be first a sane SVN client for Nautilus in the style of TortoiseSVN available on Windows
  • the project is designed in such a way that different frontends and backends can be added[1], so it shouldn't be hard (in theory) to add support for konqueror, gnome-commander on one side or darcs, mercurial or git on another side.
  • For now we are working for a Nautilus+SVN client combination and we are in the alpha stage
  • different menu items will appear as needed and when they make sense (the update command will appear only if an update is possible, i.e. context menu of a file/directory in a working copy)
[1] see the comment starting from "A word of caution" in this message from Alexander Thomas

Your next Gnome subversion client...

... is NaughtySVN.

I have joined this project which was started by Alexander Thomas a few weeks ago and I have convinced him that is better to have a release sooner rather than later. The project is still in its early alpha stage[*] but I thought is better to have a rather minimalist and functional client first.
So, I talked to Alexander and we came up with a roadmap; for the 0.0.1 release I am working on the update feature which is about 40% done[1][2] (update dialog screenshot).

Of course, after the release I will probably make a debian package, too, unless someone else beats me to it :-) .

So, the future is bright.

Update: as a response to a comment, NaughtySVN is designed to be not only a Subversion client, but also a framework for other VCS-es and other clients. It just happens that we are working on the Subversion backend and client at the moment.

P.S.: as curiosity of mine, I have written in python a small nautilus plugin that does the svn update (is a svn frontend) and I must say I really miss the development speed of python when writing in C (or maybe I am out of practice).

[*] only a few features are implemented and can't be used yet as a SVN client without being forced to use another client.
[1] according to my estimations
[2] update related code is not committed yet

first moto lesson

Monday morning I went to the first lesson of motorcycle driving. The instructor gave me a little 125cc motorcycle, as he does at the first lessons. At first I felt weird with the protection gear on me[1], but I got used to it in about 5 minutes.

Next lesson is Thursday morning, then Friday. After returning from DebConf7 I will continue the lessons.

[1] not that the lessons are risky, but the gear is mandatory and is good practice to learn to always wear it

Tuesday, 5 June 2007

Customizing D-I

An interesting opportunity appeared at work. I am going to make a custom D-I image.
It will involve:
This way I will probably get back in touch with D-I development ;-) .
Fun, fun fun. Doing Debian stuff at work, payed by my employer!

insurance card and debconf

Dear lazyweb,

I have remembered about the European Health Insurance Card too late to able to make it in reasonable conditions[*], so I am thinking of using a regular insurance policy for the period spent abroad.

Dear lazyweb, is there any reason to be worried if I want to make this policy instead of using the card? My reason tells me no, but I want to be in the safe side.

[*] there is a 7 days waiting period for the emission; I work in Bucharest but I have to go to my home county which is 150km away and compared to the tax for the emission, the trip cost is 20 times more expensive